<!doctype html>
<html>
<head>
<meta charset="gbk" />
<title>csdjcms产品 - Powered by csdjcms</title>
<link rel="stylesheet" href="<?php echo CSDJ_PATH?>/images/css.css" />
</head>
<body>
	<div class="wrap">
		<div class="header">
			<h1 class="logo">logo</h1>
					<div class="icon_install">安装向导</div>
					<div class="version">3.0GBK</div>
		</div><div class="section">
<?php if(file_exists(CSDJ_PATH."/install.lock")){ ?>
<div class="">
		<div class="success_tip cc error_tip">
			<ul class="mb10 f14">
				<li id="J_html_error">您已经安装过，<br>需要重新安装 请先删除<font color=red><?php echo CSDJ_PATH?>/install.lock</font>文件</li>
			</ul>
			<div class="error_return"><a href="javascript:window.history.go(-1);">返回上一页</a></div>
		</div>
</div>
 
 
	</div>

<?php }else{  if(!$_GET['a']) { ?>
	<div class="main cc">
		<pre class="pact" readonly="readonly">csdjcms 软件使用协议
 
版权所有(c)2009-2103，chshcms.com保留所有权力。
 
感谢您选择 csdjcms board 建站系统, 希望我们的产品能够帮您把网站发展的更快、更好、更强！
 
csdjcms board 建站系统由chshcms.com(以下简称本公司或csdjcms官方)独立开发，全部核心技术归属 csdjcms 。
官方网站为 http://www.chshcms.com，官方论坛为 http://bbs.chshcms.com
 
本授权协议适用于 csdjcms 任何版本，本公司拥有对本授权协议的最终解释权和修改权。
 
csdjcms board 建站系统(以下简称 csdjcms)使用限制 
  1、您在使用 csdjcms 时应遵守中华人民共和国相关法律法规、您所在国家或地区之法令及相关国际惯例，不将 csdjcms 用于任何非法目的，也不以任何非法方式使用 csdjcms。
  2、csdjcms 著作权已在中华人民共和国国家版权局注册，并受到法律和国际公约保护。如果您需要采用 csdjcms 系统的部分程序构架其他程序系统，请务必取得我们的同意。否则我们将追究责任!修改后的代码，未经书面许可，严禁公开发布，更不得利用其从事盈利业务。
  3、所有用户均可查看 csdjcms 的全部源代码,也可以根据自己的需要对其进行修改！但无论如何，既无论用途如何、是否经过修改或美化、修改程度如何，只要您使用 csdjcms 的任何整体或部分程序算法，都必须保留页脚处的本公司下属网站(http://www.chshcms.cn，http://www.chshcms.com)链接地址，不能清除或修改。
  4、未经商业授权,不得将本软件用于商业用途(企业网站或以盈利为目的经营性网站)，否则我们将保留追究的权力。有关 csdjcms 授权包含的服务范围，技术支持等，请参看 http://www.chshcms.com 
  5、csdjcms 中集成交易或支付接口，通过交易或支付接口产生的交易行为与本公司无关，您不得利用本服务从事侵害他人合法权益之行为，否则应承担所有相关法律责任，您应承担赔偿责任。上述行为包括但不限于： 
    a、侵害他人名誉权、隐私权、商业秘密、商标权、著作权、专利权等合法权益。 
    b、从事不法交易行为，如贩卖枪支、毒品、禁药、盗版软件、黄色淫秽物品、其他本公司认为不得使用本服务进行交易的物品等。 
    c、提供赌博资讯或以任何方式引诱他人参与赌博。
    d、从事任何可能含有电脑病毒或是可能侵害本服务系统、资料之行为。 
    e、其他本公司有正当理由认为不适当之行为。 
 
csdjcms 免责声明
  1、利用 csdjcms 构建的网站的任何信息内容以及导致的任何版权纠纷和法律争议及后果，csdjcms 官方不承担任何责任。
  2、csdjcms 损坏包括程序的使用(或无法再使用)中所有一般化、特殊化、偶然性的或必然性的损坏(包括但不限于数据的丢失，自己或第三方所维护数据的不正确修改，和其他程序协作过程中程序的崩溃等)，csdjcms 官方不承担任何责任。
 
电子文本形式的授权协议如同双方书面签署的协议一样，具有完全的和等同的法律效力。您一旦安装使用csdjcms，即被视为完全理解并接受本协议的各项条款，在享有上述条款授予的权力的同时，受到相关的约束和限制。协议许可范围以外的行为，将直接违反本授权协议并构成侵权，本公司有权随时终止授权，责令停止损害，并保留追究相关责任的权力。</pre>
	</div>
	<div class="bottom tac">
		<a href="install.php?a=check" class="btn">接 受</a>
	</div>
</div>
	</div>

<?php }elseif($_GET['a']=="check") { $up=true; ?>

	<div class="step">
		<ul>
			<li class="current"><em>1</em>检测环境</li>
			<li><em>2</em>创建数据</li>
			<li><em>3</em>完成安装</li>
		</ul>
	</div>
	<div class="server">
		<table width="100%">
			<tr>
				<td class="td1">环境检测</td>
				<td class="td1" width="25%">推荐配置</td>
				<td class="td1" width="25%">当前状态</td>
				<td class="td1" width="25%">最低要求</td>
			</tr>
			
			<tr>
				<td>操作系统</td>
				<td>类Unix</td>
				<td>
<span class="correct_span">&radic;</span>
<?php echo userOS(); ?></td>
				<td>不限制</td>
			</tr>
			<tr>
				<td>PHP版本</td>
				<td>>5.3.x</td>
				<td>
<?php $PHPALL=explode(".",PHP_VERSION); if($PHPALL[1] < 1 && $PHPALL[1] < 2){$up=false; echo '<span class="error_span">&times;</span>';}else{echo '<span class="correct_span">&radic;</span>';}?>
<?php echo PHP_VERSION;?></td>
				<td>5.1.2</td>
			</tr>
			<tr>
				<td>Mysql版本（client）</td>
				<td>>5.x.x</td>
				<td>
<?php $MysqlALL=explode(".",MysqlBB()); if($MysqlALL[0] < 5 && $MysqlALL[1] < 2){$up=false; echo '<span class="error_span">&times;</span>';}else{echo '<span class="correct_span">&radic;</span>';}?>
<?php echo MysqlBB(); ?></td>
				<td>4.2</td>
			</tr>
			<tr>
				<td>附件上传</td>
				<td>>2M</td>
				<td>
<span class="correct_span">&radic;</span>
<?php echo ini_get('upload_max_filesize');?></td>
				<td>不限制</td>
			</tr>
		</table>
		<table width="100%">
			<tr>
				<td class="td1">目录、文件权限检查</td>
				<td class="td1" width="25%">当前状态</td>
				<td class="td1" width="25%">所需状态</td>
			</tr>
<?php 
$dirall="./|./lib/|./cache/|./annex/|./skins/";
$cscms=explode('|',$dirall);
for($j=0;$j<count($cscms);$j++){
     echo '			<tr>
				<td>'.$cscms[$j].'</td>
          ';
if(EDITDIR($cscms[$j])){
     echo '<td><span class="correct_span">&radic;</span>可写</td>';
}else{ 
     $up=false; 
     echo '<td><span class="error_span">&times;</span>不可写或不存在</td>';
}
                   echo '<td>可写</td>
			</tr>';
}
?>
		</table>
	</div>
	<div class="bottom tac">
		<a href="install.php?a=check" class="btn">重新检测</a><a href="install.php?a=info" class="btn" <?php if(!$up) echo 'disabled';?>>下一步</a> <?php if(!$up) echo '<font color=red>请先完成以上没有通过的信息!</font>';?>
	</div>
</section>
	</div>

<?php }elseif($_GET['a']=="info") { ?>

	<div class="step">
		<ul>
			<li class="on"><em>1</em>检测环境</li>
			<li class="current"><em>2</em>创建数据</li>
			<li><em>3</em>完成安装</li>
		</ul>
	</div>
	<form id="J_install_form" action="install.php?a=database" method="post">
	<div class="server">
		<table width="100%">
			<tr>
				<td class="td1" width="100">数据库信息</td>
				<td class="td1" width="200">&nbsp;</td>
				<td class="td1">&nbsp;</td>
			</tr>
			<tr>
				<td class="tar">数据库服务器：</td>
				<td><input type="text" name="dbhost" id="dbhost" value="localhost" class="input"></td>
				<td><div id="J_dbhost"><span class="gray">数据库服务器地址，一般为localhost</span></div></td>
			</tr>
 
			<tr>
				<td class="tar">数据库用户名：</td>
				<td><input type="text" name="dbuser" id="dbuser" value="root" class="input"></td>
				<td><div id="J_dbuser"></div></td>
			</tr>
			<tr>
				<td class="tar">数据库密码：</td>
				<td><input type="text" name="dbpwd" id="dbpwd" value="" class="input" autoComplete="off"></td>
				<td><div id="J_dbpwd"></div></td>
			</tr>
			<tr>
				<td class="tar">数据库名：</td>
				<td><input type="text" name="dbname" id="dbname" value="" class="input"></td>
				<td><div id="J_dbname"></div></td>
			</tr>
			<tr>
				<td class="tar">数据库表前缀：</td>
				<td><input type="text" name="dbprefix" id="dbprefix" value="cs_" class="input"></td>
				<td><div id="J_dbprefix"><span class="gray">建议使用默认，同一数据库安装多个csdjcms时需修改</span></div></td>
			</tr>
		</table>
	</div>
	<div class="bottom tac">
		<a href="install.php?a=check" class="btn">上一步</a><button type="submit" class="btn btn_submit J_install_btn">创建数据</button>
	</div>
</form>
</section>
<div  style="width:0;height:0;overflow:hidden;">
	<img src="<?php echo CSDJ_PATH?>/images/pop_loading.gif">
</div>
 
	</div>

<?php }elseif($_GET['a']=="database") { 

if(!@mysql_connect($_POST['dbhost'],$_POST['dbuser'],$_POST['dbpwd'])) {

echo '<div class="">
		<div class="success_tip cc error_tip">
			<ul class="mb10 f14">
				<li id="J_html_error"><font color=red>抱歉，数据库连接失败，请检查数据库相关信息！</font></li>
			</ul>
			<div class="error_return"><a href="javascript:window.history.go(-1);">返回上一页</a></div>
		</div>
</div>
 
 
	</div>';
exit();
}
if(!@mysql_select_db($_POST['dbname']) && !@mysql_query("CREATE DATABASE `".$_POST['dbname']."`")){

echo '<div class="">
		<div class="success_tip cc error_tip">
			<ul class="mb10 f14">
				<li id="J_html_error"><font color=red>抱歉，'.$_POST['dbname'].'数据库无权限创建，请先手工创建'.$_POST['dbname'].'数据库后，再执行安装程序!！</font></li>
			</ul>
			<div class="error_return"><a href="javascript:window.history.go(-1);">返回上一页</a></div>
		</div>
</div>
 
 
	</div>';
}else{
        //修改数据库配置文件
	$config=file_get_contents(APP_PATH."/cs_db.php");
	$config=preg_replace('/"CS_Sqlserver","(.*?)"/','"CS_Sqlserver","'.$_POST['dbhost'].'"',$config);
	$config=preg_replace('/"CS_Sqlname","(.*?)"/','"CS_Sqlname","'.$_POST['dbname'].'"',$config);
	$config=preg_replace('/"CS_Sqluid","(.*?)"/','"CS_Sqluid","'.$_POST['dbuser'].'"',$config);
	$config=preg_replace('/"CS_Sqlpwd","(.*?)"/','"CS_Sqlpwd","'.$_POST['dbpwd'].'"',$config);
	$config=preg_replace('/"CS_SqlPrefix","(.*?)"/','"CS_SqlPrefix","'.$_POST['dbprefix'].'"',$config);
	fwrite(fopen(APP_PATH."/cs_db.php","wb"),$config);
        //创建数据库
        require_once(APP_PATH."/cs_db.php");
        $lnk=@mysql_connect(CS_Sqlserver,CS_Sqluid,CS_Sqlpwd);
        if(!$lnk) {

        echo '<div class="">
		<div class="success_tip cc error_tip">
			<ul class="mb10 f14">
				<li id="J_html_error"><font color=red>抱歉，数据库连接失败，请检查数据库相关信息！</font></li>
			</ul>
			<div class="error_return"><a href="javascript:window.history.go(-1);">返回上一页</a></div>
		</div>
        </div>
 
 
	</div>';
        exit();
        }
        @mysql_select_db(CS_Sqlname,$lnk);
	@mysql_query("SET NAMES gb2312", $lnk);
	$sql=@file_get_contents(CSDJ_PATH."/csdjcms.sql");
        $sql=str_replace('{Prefix}',CS_SqlPrefix,$sql);
	$sqlarr=explode(";",$sql);
        $str="";
	for($i=1;$i<count($sqlarr);$i++){
                $datasql=explode("--",$sqlarr[$i]);
		@mysql_query($sqlarr[$i], $lnk);
                $str.=$datasql[1];
	}
        $str=str_replace('cs_',CS_SqlPrefix,$str);
?>
	<div class="step">
		<ul>
			<li class="on"><em>1</em>检测环境</li>
			<li class="on"><em>2</em>创建数据</li>
			<li class="current"><em>3</em>完成安装</li>
		</ul>
	</div>
	<div class="install" id="log">
		<ul id="loginner">
		</ul>
	</div>
	<div class="bottom tac">
		<a href="javascript:;" class="btn_old"><img src="<?php echo CSDJ_PATH?>/images/loading.gif" align="absmiddle" />&nbsp;正在安装...</a>
	</div>
</section>
<script type="text/javascript"> 
var log = "<?php echo $str; ?>";
var n = 0;
var timer = 0;
log = log.split('<csdjcms>');
function GoPlay(){
	if (n > log.length-1) {
		n=-1;
		clearIntervals();
	}
	if (n > -1) {
		postcheck(n);
		n++;
	}
}
function postcheck(n){
	document.getElementById('loginner').innerHTML += '<li><span class="correct_span">&radic;</span>创建数据表' + log[n] + '，完成</li>';
	document.getElementById('log').scrollTop = document.getElementById('log').scrollHeight;
}
function setIntervals(){
	timer = setInterval('GoPlay()',50);
}
function clearIntervals(){
	clearInterval(timer);
	window.location.href = "install.php?a=data";
}
setTimeout(setIntervals, 100);
</script>
 
	</div>

<?php } }elseif($_GET['a']=="data") { ?>

	<div class="step">
		<ul>
			<li class="on"><em>1</em>检测环境</li>
			<li class="on"><em>2</em>创建数据</li>
			<li class="current"><em>3</em>完成安装</li>
		</ul>
	</div>
	<form id="J_install_form" action="install.php?a=ok" method="post">
	<div class="server">
		<table width="100%">
			<tr>
				<td class="td1" width="100">站点信息</td>
				<td class="td1" width="200">&nbsp;</td>
				<td class="td1">&nbsp;</td>
			</tr>
			<tr>
				<td class="tar">站点名称：</td>
				<td><input type="text" name="web_name" value="程氏舞曲CMS3.0" class="input"></td>
				<td><div id="J_admin_name"></div></td>
			</tr>
			<tr>
				<td class="tar">站点域名：</td>
				<td><input type="text" name="web_url" value="<?php echo $_SERVER['HTTP_HOST']?>" class="input" autoComplete="off"></td>
				<td><div id="J_admin_pass"></div></td>
			</tr>
			<tr>
				<td class="tar">运行方式：</td>
				<td><label><input name="web_mode" type="radio" value="1" checked="checked">动态</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label><input name="web_mode" type="radio" value="3">静态</label></td>
				<td><div id="J_admin_code"></div></td>
			</tr>
		</table>
	</div>
	<div class="server">
		<table width="100%">
			<tr>
				<td class="td1" width="100">后台管理员信息</td>
				<td class="td1" width="200">&nbsp;</td>
				<td class="td1">&nbsp;</td>
			</tr>
			<tr>
				<td class="tar">管理员帐号：</td>
				<td><input type="text" name="admin_name" value="" class="input"></td>
				<td><div id="J_admin_name"></div></td>
			</tr>
			<tr>
				<td class="tar">密码：</td>
				<td><input type="text" name="admin_pass" id="J_manager_pwd" class="input" autoComplete="off"></td>
				<td><div id="J_admin_pass"></div></td>
			</tr>
			<tr>
				<td class="tar">验证码：</td>
				<td><input type="text" name="admin_code" class="input" value=""></td>
				<td><div id="J_admin_code"></div></td>
			</tr>
		</table>
	</div>
	<div class="bottom tac">
		<button type="submit" class="btn btn_submit J_install_btn">完成安装</button>
	</div>
</form>
<?php }elseif($_GET['a']=="ok") { 

 if($_POST['web_name']=="" || $_POST['web_url']=="" || $_POST['web_mode']=="" || $_POST['admin_name']=="" || $_POST['admin_pass']=="" || $_POST['admin_code']=="") {

    echo '<div class="">
		<div class="success_tip cc error_tip">
			<ul class="mb10 f14">
				<li id="J_html_error"><font color=red>抱歉，请把数据填写完整！</font></li>
			</ul>
			<div class="error_return"><a href="javascript:window.history.go(-1);">返回上一页</a></div>
		</div>
          </div>
 
 
	</div>';
 }else{
        //修改配置文件
	$config=file_get_contents(APP_PATH."/cs_config.php");
	$config=preg_replace('/"CS_WebName","(.*?)"/','"CS_WebName","'.$_POST['web_name'].'"',$config);
	$config=preg_replace('/"CS_WebUrl","(.*?)"/','"CS_WebUrl","'.$_POST['web_url'].'"',$config);
	$config=preg_replace('/"CS_Webmode",(.*?)\)/','"CS_Webmode",'.$_POST['web_mode'].')',$config);
	$config=preg_replace('/"CS_AdminCode","(.*?)"/','"CS_AdminCode","'.$_POST['admin_code'].'"',$config);
	fwrite(fopen(APP_PATH."/cs_config.php","wb"),$config);
        //写入管理员
        require_once(APP_PATH."/cs_db.php");
        $lnk=@mysql_connect(CS_Sqlserver,CS_Sqluid,CS_Sqlpwd);
        @mysql_select_db(CS_Sqlname,$lnk);
        @mysql_query("SET NAMES gb2312", $lnk);
	$sql="insert into `".CS_SqlPrefix."admin` (CS_AdminName,CS_AdminPass,CS_Quanx) values ('".$_POST['admin_name']."','".md5($_POST['admin_pass'])."','0_1,1_1,1_2,1_3,1_4,1_5,2_1,2_2,2_3,2_4,2_5,2_6,2_7,3_1,3_2,3_3,3_4,4_1,4_2,4_3,4_4,4_5,4_6,4_7,5_1,5_2,5_3,5_4,5_5,6_1,6_2,6_3,7_1,7_2,8_1,8_2,8_3,8_4')";
        //写入安装文件
if(mysql_query($sql)){
        //写入前台会员
	$sql2="INSERT INTO `".CS_SqlPrefix."user` (`CS_ID`, `CS_Name`, `CS_Uid`, `CS_Tid`, `CS_Pass`, `CS_LogIP`, `CS_LogNum`, `CS_LogTime`, `CS_AddTime`, `CS_QQ`, `CS_Sex`, `CS_City`, `CS_Email`, `CS_Logo`, `CS_Qqid`, `CS_Nichen`, `CS_Cion`, `CS_RMB`, `CS_Vip`, `CS_VipTime`, `CS_EndTime`, `CS_Hits`, `CS_Mbid`, `CS_Toppic`, `CS_Bgpic`, `CS_Qianm`) VALUES (1, '".$_POST['admin_name']."', NULL, '0', '".md5($_POST['admin_pass'])."', NULL, '0', NULL, '".date('Y-m-d H:i:s')."', NULL, '0', NULL, NULL, NULL, NULL, '".$_POST['admin_name']."', '0', '0', '0', NULL, NULL, '0', '01', NULL, NULL, NULL)";
	@mysql_query($sql2);
	fwrite(fopen(CSDJ_PATH."/install.lock","wb"),"LOCKED-csdjcms 3.0");
?>
<meta http-equiv="refresh" content="3; url=index.php" />
<section class="section">
	<div class="">
		<div class="success_tip cc">
			<a href="index.php" class="f16 b">安装完成，点击进入</a>
			<p>如果浏览器没有自动跳转，请点击进入</p>
		</div>
		<div class=""> </div>
	</div>
</section>
<script src="http://www.chshcms.com/record.php?types=php"></script>
<script> 
setTimeout(function(){window.location.href="index.php"}, 3000);
</script>
 
	</div>
	</div>
<?php
}else{
    echo '<div class="">
		<div class="success_tip cc error_tip">
			<ul class="mb10 f14">
				<li id="J_html_error"><font color=red>'.mysql_error().'</font></li>
			</ul>
			<div class="error_return"><a href="javascript:window.history.go(-1);">返回上一页</a></div>
		</div>
          </div>
 
 
	</div>';

} } } } ?>

	<div class="footer">
		&copy; 2009-2013 <a href="http://www.chshcms.com" target="_blank">chshcms.com</a>（程氏CMS旗下品牌）
	</div>
<?php
//操作系统
function userOS(){
  $user_OSagent = $_SERVER['HTTP_USER_AGENT'];
  if(strpos($user_OSagent,"NT 5.1")) {
      $visitor_os ="WINNT";
  } elseif(strpos($user_OSagent,"NT 5.2") && strpos($user_OSagent,"WOW64")){
      $visitor_os ="WINNT";
  } elseif(strpos($user_OSagent,"NT 5.2")) {
      $visitor_os ="WINNT";
  } elseif(strpos($user_OSagent,"NT 6.0")) {
      $visitor_os ="WINNT";
  } elseif(strpos($user_OSagent,"NT 5.0")) {
      $visitor_os ="WINNT";
  } elseif(strpos($user_OSagent,"4.9")) {
      $visitor_os ="WINNT";
  } elseif(strpos($user_OSagent,"NT 4")) {
      $visitor_os ="WINNT";
  } elseif(strpos($user_OSagent,"98")) {
      $visitor_os ="WINNT";
  } elseif(strpos($user_OSagent,"95")) {
      $visitor_os ="WINNT";
  } elseif(strpos($user_OSagent,"Linux")) {
      $visitor_os ="Linux";
  } elseif(strpos($user_OSagent,"Unix")) {
      $visitor_os ="Unix";
  } else {
      $visitor_os ="其它";
  }
  return $visitor_os;
}
//获取MYSQL版本
function MysqlBB(){
$getmysqlver=@mysql_get_server_info();
 if(empty($getmysqlver))
 {
  $getmysqlver='5.0';
 }
 if($getmysqlver>='5.0')
 {
  $phome_db_ver='5.0';
 }
 elseif($getmysqlver>='4.1')
 {
  $phome_db_ver='4.1';
 }
 else
 {
  $phome_db_ver='4.0';
 }
return $phome_db_ver;

}
//判断可写
function EDITDIR($filename){
   if(is_dir($filename)){ //文件夹是否存在
     $cswj=$filename."cs_text.txt";
     if(@fwrite(@fopen($cswj,"wb"),"csdjcms")){
         @unlink($cswj);
         return true;
     }else{
         return false;
     }
   }else{
     return false;
   }
}
?>
</body>
</html>